Bug 555979 - [abrt] Preferences dialog crash
Summary: [abrt] Preferences dialog crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3cb7ca6f
Depends On:
Blocks: 557099
TreeView+ depends on / blocked
 
Reported: 2010-01-16 07:37 UTC by Adam Stuckey
Modified: 2010-02-05 01:33 UTC (History)
2 users (show)

Fixed In Version: 3.9.8-28.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 557099 (view as bug list)
Environment:
Last Closed: 2010-02-05 01:21:00 UTC


Attachments (Terms of Use)
File: backtrace (553 bytes, text/plain)
2010-01-16 07:37 UTC, Adam Stuckey
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 510070 None None None Never

Description Adam Stuckey 2010-01-16 07:37:36 UTC
abrt 1.0.3 detected a crash.

backtrace
-----
Summary: TB3cb7ca6f devmgr5.py:2022:PreferencesAction_activated:AttributeError: 'NoneType' object has no attribute 'sendEvent'

Traceback (most recent call last):
  File "/usr/share/hplip/ui4/devmgr5.py", line 2022, in PreferencesAction_activated
    self.cur_device.sendEvent(EVENT_USER_CONFIGURATION_CHANGED, self.cur_printer)
AttributeError: 'NoneType' object has no attribute 'sendEvent'

Local variables in innermost frame:
self: <ui4.devmgr5.DevMgr5 object at 0x2822738>
dlg: <ui4.settingsdialog.SettingsDialog object at 0x2a8ea68>
tab_to_show: 0

cmdline: python /usr/bin/hp-toolbox
component: hplip
executable: /usr/bin/hp-toolbox
kernel: 2.6.31.9-174.fc12.x86_64
package: hplip-gui-3.9.8-21.fc12
uuid: 3cb7ca6f

Comment 1 Adam Stuckey 2010-01-16 07:37:38 UTC
Created attachment 384767 [details]
File: backtrace

Comment 2 Tim Waugh 2010-01-20 12:25:32 UTC
Also affects Fedora 11.

Comment 3 Fedora Update System 2010-01-22 22:40:48 UTC
hplip-3.9.8-25.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12227

Comment 4 Fedora Update System 2010-01-22 22:42:49 UTC
hplip-3.9.8-28.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12253

Comment 5 Fedora Update System 2010-02-05 01:20:47 UTC
hplip-3.9.8-25.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-02-05 01:32:52 UTC
hplip-3.9.8-28.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.